Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
InstantiationException Class Reference

Thrown when an application tries to create an instance of a class using the newInstance method in class Class, but the specified class object cannot be instantiated because it is an interface or is an abstract class. More...

Inherits Exception.

## Public Member Functions
| InstantiationException (const LogString &msg)
| InstantiationException (const InstantiationException &msg)
InstantiationException & | operator= (const InstantiationException &msg)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Detailed Description

Thrown when an application tries to create an instance of a class using the newInstance method in class Class, but the specified class object cannot be instantiated because it is an interface or is an abstract class.

## Constructor & Destructor Documentation

InstantiationException | ( | const LogString & | msg | ) |

InstantiationException | ( | const InstantiationException & | msg | ) |

## Member Function Documentation

InstantiationException& operator= | ( | const InstantiationException & | msg | ) |

The documentation for this class was generated from the following file:

- exception.h